Module tdlight.api
Package it.tdlight.jni

# Class TdApi.AnimatedEmoji

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.AnimatedEmoji

Enclosing class:
  TdApi

public static final class TdApi.AnimatedEmoji extends TdApi.Object
Describes an animated or custom representation of an emoji.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`int`
`fitzpatrickType`
Emoji modifier fitzpatrick type; 0-6; 0 if none.
`TdApi.File`
`sound`
File containing the sound to be played when the sticker is clicked; may be null.
`TdApi.Sticker`
`sticker`
Sticker for the emoji; may be null if yet unknown for a custom emoji.
`int`
`stickerHeight`
Expected height of the sticker, which can be used if the sticker is null.
`int`
`stickerWidth`
Expected width of the sticker, which can be used if the sticker is null.

## Constructor Summary

Constructors
Constructor
Description
`AnimatedEmoji()`
Describes an animated or custom representation of an emoji.
`AnimatedEmoji(TdApi.Sticker sticker, int stickerWidth, int stickerHeight, int fitzpatrickType, TdApi.File sound)`
Describes an animated or custom representation of an emoji.
`AnimatedEmoji(DataInput input)`
Describes an animated or custom representation of an emoji.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### sticker

public TdApi.Sticker sticker
Sticker for the emoji; may be null if yet unknown for a custom emoji. If the sticker is a custom emoji, it can have arbitrary format different from stickerFormatTgs.

### stickerWidth

public int stickerWidth
Expected width of the sticker, which can be used if the sticker is null.

### stickerHeight

public int stickerHeight
Expected height of the sticker, which can be used if the sticker is null.

### fitzpatrickType

public int fitzpatrickType
Emoji modifier fitzpatrick type; 0-6; 0 if none.

### sound

public TdApi.File sound
File containing the sound to be played when the sticker is clicked; may be null. The sound is encoded with the Opus codec, and stored inside an OGG container.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### AnimatedEmoji

public AnimatedEmoji()
Describes an animated or custom representation of an emoji.

### AnimatedEmoji

public AnimatedEmoji(TdApi.Sticker sticker, int stickerWidth, int stickerHeight, int fitzpatrickType, TdApi.File sound)
Describes an animated or custom representation of an emoji.

Parameters:
  `sticker` - Sticker for the emoji; may be null if yet unknown for a custom emoji. If the sticker is a custom emoji, it can have arbitrary format different from stickerFormatTgs.
  `stickerWidth` - Expected width of the sticker, which can be used if the sticker is null.
  `stickerHeight` - Expected height of the sticker, which can be used if the sticker is null.
  `fitzpatrickType` - Emoji modifier fitzpatrick type; 0-6; 0 if none.
  `sound` - File containing the sound to be played when the sticker is clicked; may be null. The sound is encoded with the Opus codec, and stored inside an OGG container.

### AnimatedEmoji

public AnimatedEmoji(DataInput input) throws IOException
Describes an animated or custom representation of an emoji.

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`